👉 Hur man gör gamla WordPress-teman som Ă€r kompatibla med nya versioner - IsItWP

Behöver WordPress Admin Bar en mer dropdown?

>

Så du vill göra dina gamla WordPress-teman kompatibla med nyare versioner av WordPress. Med WordPress 3.0 runt hörnet är temakompatibilitet något på många människors sinnen. Det är ganska enkelt: gör absolut ingenting.

Jag har gjort WordPress-teman eftersom runt WordPress 2.3 släpptes och gissar vad? Dessa teman jobbar fortfarande idag och det finns inget jag behöver att göra för att de ska fungera med nyare versioner av WordPress.

  • Kommer de ha trådad kommentarfunktionalitet (cirka 2,7)? Nej, de har förmodligen fortfarande "single level" kommentarer men.
  • Kommer det att användas post_thumbnails att hantera efter miniatyrbilder (ca 2,9)? Nej, men inte alla teman använder i alla fall miniatyrbilder.
  • Kommer de att få den nya navigeringsmenyer, anpassad rubrik och bakgrundsbilder introduceras i kommande WordPress 3.0? Nej, och kom ihåg att inte alla teman kommer att behöva anpassade bakgrunds- eller headerbilder.

De flesta av dessa funktioner skulle jag överväga valfria. Med kanske undantaget gängade kommentarer eller det nya menysystemet kommer en hel del teman inte ens att behöva eller utformas kring saker som miniatyrbilder för egna inlägg eller rubrikbilder.

Så snälla, sluta oroa dig om ditt tema kommer att bryta när du uppgraderar WordPress. Inget brott mot mina plugin-utvecklare vänner, men 99% av tiden WordPress bryter med en kärnuppgradering, det är ett plugins fel (och det hade förmodligen kommit på grund av misstänkta plugin-kodningspraxis).

Om ett tema har en anpassad funktion som strider mot en ny WordPress-funktion, kan samma sak hända med teman också, så det är möjlig. Det här är förmodligen den enda "bug" som jag någonsin har hört talas om med en ny kärnuppgradering (och inte alla teman använde get_categories-funktionen).

För att vara ärlig, Jag har aldrig sett ett tema helt paus, och jag kommer nog aldrig. Jag skulle vara intresserad av att höra dina tankar i kommentarerna, vad tycker du om att göra teman "kompatibel" med nya versioner? Har du någonsin sett en temaferie på grund av en ny WordPress-version?

Om du vill att ditt WordPress-tema ska utnyttja de nya funktionerna som kommer att finnas tillgängliga när WordPress 3.0 har släppts, har den här artikeln en del bra information om att integrera anpassade bakgrunder, rubriker, menyer bland annat.

Titta pĂ„ videon: WordPress – Hur lĂ€gger jag till en bild

Like this post? Please share to your friends:
Kommentera

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: